%global _disable_ld_no_undefined 1

%global srcname cache_tab

%global p1_utils_ver 1.0.21

Name: erlang-cache_tab
Version: 1.0.30
Release: %mkrel 3
Group:   Development/Erlang

License: ASL 2.0
Summary: Erlang cache table application
URL: https://github.com/processone/cache_tab/
Source0: https://github.com/processone/cache_tab/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
This application is intended to proxy back-end operations for Key-Value insert,
lookup and delete and maintain a cache of those Key-Values in-memory, to save
back-end operations. Operations are intended to be atomic between back-end and
cache tables. The lifetime of the cache object and the max size of the cache
can be defined as table parameters to limit the size of the in-memory tables.


%prep
%autosetup -n cache_tab-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.0.30-3.mga10
+ Revision: 2250343
- Mageia 10 Mass Rebuild

* Tue Apr 01 2025 papoteur <papoteur> 1.0.30-2.mga10
+ Revision: 2172418
- rebuild for erl_nif_version 2.17

* Tue Aug 02 2022 neoclust <neoclust> 1.0.30-1.mga9
+ Revision: 1874623
- New version 1.0.30

* Tue Mar 15 2022 umeabot <umeabot> 1.0.29-2.mga9
+ Revision: 1793889
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.0.29-1.mga9
+ Revision: 1772656
- New version 1.0.29

* Mon Dec 21 2020 neoclust <neoclust> 1.0.26-1.mga8
+ Revision: 1662506
- New version 1.0.26

* Sun Dec 20 2020 neoclust <neoclust> 1.0.25-1.mga8
+ Revision: 1661441
- New version 1.0.25

* Wed Feb 12 2020 umeabot <umeabot> 1.0.14-2.mga8
+ Revision: 1511394
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 wally <wally> 1.0.14-1.mga7
+ Revision: 1288400
- new version 1.0.14

* Thu Nov 17 2016 neoclust <neoclust> 1.0.4-1.mga6
+ Revision: 1068003
- New version 1.0.4

* Fri May 06 2016 neoclust <neoclust> 1.0.1-2.mga6
+ Revision: 1009829
- imported package erlang-cache_tab

